Cloud DNS API, REST: DnsFirewall.Update
Updates the specified DNS firewall.
HTTP request
PATCH https://dns.api.cloud.yandex.net/dns/v1/firewalls/{dnsFirewallId}
Path parameters
|
Field |
Description |
|
dnsFirewallId |
string Required field. ID of the DNS firewall to update. To get the DNS firewall ID, make a DnsFirewallService.List request. |
Body parameters
{
"updateMask": "string",
"name": "string",
"description": "string",
"labels": "object",
"deletionProtection": "boolean",
"enabled": "boolean",
"resourceConfig": {
"type": "string",
"resourceIds": [
"string"
],
"lockingPolicyEnabled": "boolean"
},
"whitelistFqdns": [
"string"
],
"blacklistFqdns": [
"string"
]
}
|
Field |
Description |
|
updateMask |
string (field-mask) A comma-separated names off ALL fields to be updated. If |
|
name |
string New name for the DNS firewall. Value must match the regular expression |
|
description |
string New description of the DNS firewall. The maximum string length in characters is 256. |
|
labels |
object (map<string, string>) DNS firewall labels as
The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
deletionProtection |
boolean Prevents accidental firewall removal. |
|
enabled |
boolean Whether the DNS firewall is enabled. |
|
resourceConfig |
Resource settings. |
|
whitelistFqdns[] |
string List of FQDNs that the DNS firewall allows to pass. The maximum string length in characters for each value is 255. The maximum number of elements is 255. |
|
blacklistFqdns[] |
string List of FQDNs that the DNS firewall blocks. The maximum string length in characters for each value is 255. The maximum number of elements is 255. |
ResourceConfig
|
Field |
Description |
|
type |
enum (ResourceType) Type of the resource.
|
|
resourceIds[] |
string Resource ids. The maximum string length in characters for each value is 64. The number of elements must be in the range 0-100. |
|
lockingPolicyEnabled |
boolean Whether the locking policy is enabled. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |